- [HTTP request](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exascaleDbStorageVaults/delete.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exascaleDbStorageVaults/delete.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exascaleDbStorageVaults/delete.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exascaleDbStorageVaults/delete.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exascaleDbStorageVaults/delete.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exascaleDbStorageVaults/delete.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exascaleDbStorageVaults/delete.md.txt#body.aspect_1)

Deletes a single ExascaleDB Storage Vault.

### HTTP request

Choose an endpoint:
global asia-northeast2 asia-south2 asia-south1 australia-southeast2 europe-west8 northamerica-northeast2   
`DELETE https://oracledatabase.googleapis.com/v1/{name=projects/*/locations/*/exascaleDbStorageVaults/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the ExascaleDbStorageVault in the following format: projects/{project}/locations/{location}/exascaleDbStorageVaults/{exascaleDbStorageVault}. |

### Query parameters

| Parameters ||
|---|---|
| `requestId` | `string` Optional. An optional ID to identify the request. This value is used to identify duplicate requests. If you make a request with the same request ID and the original request is still in progress or completed, the server ignores the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000). |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/oracle-database`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `oracledatabase.exascaleDbStorageVaults.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).